local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, AddonTable = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = AddonTable.Localize
local s = SpellFlashAddon
local a = AddonTable
local x = SpellFlashAddon.UpdatedVariables
a.Event = {}


-- Event listings:
-- http://wowprogramming.com/docs/events
-- http://www.wowwiki.com/Events_(API)
--[[ --Example event function:
function a.Event.EVENT_NAME_GOES_HERE(arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16, arg17, arg18, arg19, arg20)
	print("|cFF00FFFF["..PlainAddonTitle.."]|r "..L["Something happened!"])
end
--]]

a.CheckButtonOptions = {
	LeftCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "DisableEle",
		Label = L["Elemental"],
	},
	LeftCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "DisableEnhan",
		Label = L["Enhancement"],
	},
	LeftCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "DisableResto",
		Label = L["Restoration"],
	},
	LeftCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton5 = {
		DefaultChecked = false,
		ConfigKey = "Resting",
		Label = L["Enable ReSham while resting"],
	},
	LeftCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "Combat",
		Label = L["Enable ReSham while out of combat"],
	},
	LeftCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
}

a.SlashCommands = {
	"/resham",
}

a.SlashHandler = function(msg, editbox)
	InterfaceOptionsFrame_OpenToCategory(a.OptionsFrame)
end
